Download OpenAPI specification:Download
The Griffin API is based on REST. It has resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response verbs and response codes.
Our API deviates from strict RESTful principles if it makes sense to do so, such as when we enforce tighter access controls around certain operations.
For example, when closing a bank account: rather than send a PATCH request to the bank account resource to update its status to "closed", we provide a dedicated account closure resource.
Anyone can create an account with Griffin and try out our API in sandbox mode.
New to Griffin? Check out our getting started guide.
Our list APIs support pagination (e.g. list bank accounts and list payments). By default, a list API returns up to 25 results. If there are more results available, the response payload will include links to the previous/next pages.
You can request a different number of results (between 1 and 200, inclusive) by using the page[size] query parameter:
GET /organizations/:id/bank/accounts?page[size]=100
List responses will include a links object with prev and next attributes, as shown below.
Perform a GET request to the value of the attribute to fetch the previous/next page of results.
{
"accounts": [
// ...
],
"links": {
"prev": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA/bank/accounts?page[before]=djE6WxSPxfYUTnCU9XtWzj9gGA",
"next": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA/bank/accounts?page[after]=djE6aw79PXZySUOL16LD8HRJ3A"
}
}
If there is no previous or next page available, the value of the attribute will be null.
Any other query parameters included in the initial request will also be included in the response payload's links. If you want to change parameters (see filtering and sorting), request the first page and follow the links from there.
By default, resources will be listed in descending order, usually based on the created-at attribute.
You can change the sorting behaviour of a list of results by using the sort query parameter.
For example, to list bank accounts in ascending order (oldest first):
GET /organizations/:id/bank/accounts?sort=created-at
To explicitly sort in descending order (newest first), prefix the sort attribute with -:
GET /organizations/:id/bank/accounts?sort=-created-at
Some list APIs allow you to filter the results.
Filters are expressed as nested data structures encoded into query parameters.
For example, you can list bank accounts that are in either the opening or open state with:
GET /organizations/:id/bank/accounts?filter[account-status][in][]=opening&filter[account-status][in][]=open
Similarly, you can list legal persons with a specific application-status:
GET /organizations/:id/legal-persons?filter[application-status][eq]=accepted
Some list APIs allow you to include associated resources in the response, reducing the number of requests needed to fetch related data.
For instance, when listing bank accounts, you can include each bank account's beneficiary legal person by using the include query parameter:
GET /organizations/:id/bank/accounts?include=beneficiary
The response returns the usual list of bank accounts, but it will also have an included object with a legal-persons attribute:
{
"accounts": [
// ...
],
"links": {
// ...
}
"included": {
"legal-persons": [
// ...
]
}
}
Check the documentation for each list API to see all options for sorting and filtering
Each organization is allowed up to 50 concurrent (in-flight) API requests. Exceeding this threshold results in a 429 - Too Many Requests response. Upon receiving a 429 response, you should implement a backoff strategy, pausing to allow your outstanding requests to complete before attempting new requests. To manage your request rate effectively and avoid surpassing this limit, consider using a controlled approach such as a finite pool of threads or workers.
The api-key-secret field is only shown once when you create an API key.
We cannot recover the value, so you should store it securely.
Pass an Authorization header with GriffinAPIKey api-key-secret to authenticate.
Each API key is only valid for one organization. If you are a member of multiple organizations, you will need to create a new API key for each one. There is currently no limit on the number of API keys you can create.
Returns the API key without api-key-secret.
| api-key-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "api-key-url": "/api-keys/ak.ICAgICAgYXBpLWtleS1pZA",
- "api-key-name": "buildserver",
- "api-key-live?": true,
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "created-at": "2019-08-24T14:15:22Z"
}Deletes the API Key. This operation cannot be undone.
| api-key-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
List all active API keys in your organization.
| organization-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "api-keys": [
- {
- "api-key-url": "/api-keys/ak.ICAgICAgYXBpLWtleS1pZA",
- "api-key-name": "buildserver",
- "api-key-live?": true,
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "created-at": "2019-08-24T14:15:22Z"
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "included": null
}Create a new API key. This is the only time api-key-secret is shown.
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| api-key-name required | string (api-key-name) non-empty The name of the API Key. Cannot contain whitespace. |
{- "api-key-name": "string"
}{- "api-key-url": "/api-keys/ak.ICAgICAgYXBpLWtleS1pZA",
- "api-key-name": "buildserver",
- "api-key-live?": true,
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "api-key-secret": "g-test-buildserver-RrUZ5fUG4pSKwYVVG1C3Ft1xrMRxy1T7KUIyTva5bTk"
}List all your active API keys.
| user-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "api-keys": [
- {
- "api-key-url": "/api-keys/ak.ICAgICAgYXBpLWtleS1pZA",
- "api-key-name": "buildserver",
- "api-key-live?": true,
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "created-at": "2019-08-24T14:15:22Z"
}
], - "links": {
- "prev": "string",
- "next": "string"
}
}An event records a change to a resource in your organization. The event-type determines the shape of the event-payload. You can list your organization's events, or receive them as they happen with a webhook.
| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "account-status-created" |
required | account-status-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "account-status-created",
- "event-payload": {
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "account-status": "closing"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "account-status-updated" |
required | account-status-updated (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "account-status-updated",
- "event-payload": {
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "account-status": "closing"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "admission-created" |
required | admission-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "admission-created",
- "event-payload": {
- "admission-status": "cancelled",
- "admission-scheme-information": {
- "end-to-end-identification": "string",
- "payment-scheme": "fps"
}, - "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "admission-url": "/admissions/pa.ICAgIGFkbWlzc2lvbi1pZA",
- "unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes ",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "original-unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes "
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "admission-updated" |
required | admission-updated (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "admission-updated",
- "event-payload": {
- "admission-status": "cancelled",
- "admission-scheme-information": {
- "end-to-end-identification": "string",
- "payment-scheme": "fps"
}, - "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "admission-url": "/admissions/pa.ICAgIGFkbWlzc2lvbi1pZA",
- "unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes ",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "original-unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes "
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "decision-created" |
required | decision-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "decision-created",
- "event-payload": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "onboarding-application-created" |
required | (onboarding-application-created (processing (object) or submitted (object) or errored (object) or complete (object))) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "onboarding-application-created",
- "event-payload": {
- "onboarding-application-url": "/onboarding/applications/oa.b25ib2FyZGluZy1hcHBsaQ",
- "created-at": "2019-08-24T14:15:22Z",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "onboarding-application-status": "processing"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "onboarding-application-updated" |
required | (onboarding-application-updated (processing (object) or submitted (object) or errored (object) or complete (object))) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "onboarding-application-updated",
- "event-payload": {
- "onboarding-application-url": "/onboarding/applications/oa.b25ib2FyZGluZy1hcHBsaQ",
- "created-at": "2019-08-24T14:15:22Z",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "onboarding-application-status": "processing"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "payment-created" |
required | payment-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "payment-created",
- "event-payload": {
- "creditor": {
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "creditor-type": "griffin-bank-account"
}, - "rejected-at": "2019-08-24T14:15:22Z",
- "latest-submission-url": "/submissions/ps.ICAgc3VibWlzc2lvbi1pZA",
- "rejected-by-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "payment-direction": "inbound-payment",
- "created-by-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "created-via": "api",
- "created-at": "2019-08-24T14:15:22Z",
- "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "payment-reference": "test reference",
- "payment-amount": {
- "currency": "GBP",
- "value": "1000.00"
}, - "payment-type": "credit-transfer",
- "ultimate-debtor": {
- "iban": "GB42GFNB12345612345678",
- "uk-domestic-sort-code": "123456",
- "bic": "GFNBGB22",
- "account-number": "12345678",
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "bban": "GFNB12345612345678",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "uk-domestic-account-number": "12345678",
- "other-account-identification": "ABC123",
- "account-number-code": "bban",
- "branch-identification": "ABC123",
- "other-institution-identification": "ABC123"
}, - "payment-admissions-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA/admissions",
- "payment-submissions-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA/submissions",
- "debtor": {
- "iban": "GB42GFNB12345612345678",
- "uk-domestic-sort-code": "123456",
- "bic": "GFNBGB22",
- "account-number": "12345678",
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "bban": "GFNB12345612345678",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "uk-domestic-account-number": "12345678",
- "other-account-identification": "ABC123",
- "account-number-code": "bban",
- "branch-identification": "ABC123",
- "other-institution-identification": "ABC123"
}, - "rejection-reason": "string",
- "mandate-url": "/mandates/mn.ICAgICAgbWFuZGF0ZS1pZA",
- "created-by-user": {
- "user-email": "user@example.com",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "user-username": "user@example.com",
- "api-keys-url": "/users/ur.ICAgICAgICAgdXNlci1pZA/api-keys",
- "user-memberships-url": "/users/ur.ICAgICAgICAgdXNlci1pZA/memberships",
- "given-name": "string",
- "surname": "string"
}, - "rejected-by-user": {
- "user-email": "user@example.com",
- "user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "user-username": "user@example.com",
- "api-keys-url": "/users/ur.ICAgICAgICAgdXNlci1pZA/api-keys",
- "user-memberships-url": "/users/ur.ICAgICAgICAgdXNlci1pZA/memberships",
- "given-name": "string",
- "surname": "string"
}
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "submission-created" |
required | submission-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "submission-created",
- "event-payload": {
- "submission-scheme-information": {
- "end-to-end-identification": "string",
- "scheme-status-code": "string",
- "scheme-status-code-description": "string",
- "payment-scheme": "fps"
}, - "submission-status": "scheduled",
- "created-by-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "scheduled-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "submission-status-reason": "string",
- "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes ",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "submission-url": "/submissions/ps.ICAgc3VibWlzc2lvbi1pZA"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "submission-updated" |
required | submission-updated (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "submission-updated",
- "event-payload": {
- "submission-scheme-information": {
- "end-to-end-identification": "string",
- "scheme-status-code": "string",
- "scheme-status-code-description": "string",
- "payment-scheme": "fps"
}, - "submission-status": "scheduled",
- "created-by-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "scheduled-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "submission-status-reason": "string",
- "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "unique-scheme-identifier": "PGIT2IS7AJG77D2HK23020240212826NatWes ",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "submission-url": "/submissions/ps.ICAgc3VibWlzc2lvbi1pZA"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "test-event" |
required | test-event (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "test-event",
- "event-payload": {
- "property1": null,
- "property2": null
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "transaction-created" |
required | transaction-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "transaction-created",
- "event-payload": {
- "account-transaction-url": "/bank/transactions/tr.ICB0cmFuc2FjdGlvbi1pZA",
- "processed-at": "2019-08-24T14:15:22Z",
- "post-datetime": "2019-08-24T14:15:22Z",
- "balance-change-direction": "credit",
- "origin-metadata": {
- "property1": "string",
- "property2": "string"
}, - "effective-at": "2019-08-24T14:15:22Z",
- "transaction-origin-type": "interest",
- "payment-url": "/payments/pm.ICAgICAgcGF5bWVudC1pZA",
- "reference": "string",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "balance-change": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "verification-created" |
required | verification-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "verification-created",
- "event-payload": {
- "verification-profiles-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/profiles",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "verification-resources-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/resources",
- "updated-at": "2019-08-24T14:15:22Z",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "verification-checks-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/checks",
- "risk-rating": "high-risk",
- "verification-status": "in-progress",
- "verification-risk-assessments-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/risk-assessments"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "verification-resource-created" |
required | verification-resource-created (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "verification-resource-created",
- "event-payload": {
- "verification-resource-id": "vr.N7hwn54ASHCQGOdocxfQQQ",
- "idv-check-status": "pending",
- "idv-check-url": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "display-name": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "idv-check-expires-at": "2019-08-24",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "verification-resource-type": "idv-check"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "verification-resource-updated" |
required | verification-resource-updated (idv-check (object)) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "verification-resource-updated",
- "event-payload": {
- "verification-resource-type": "idv-check",
- "verification-resource-id": "vr.N7hwn54ASHCQGOdocxfQQQ",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "idv-check-status": "pending",
- "idv-check-url": "string",
- "idv-check-expires-at": "2019-08-24"
}, - "created-at": "2019-08-24T14:15:22Z"
}| event-url required | string (event-url) Link to the event. |
| event-type required | string (event-type) The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated Value: "verification-updated" |
required | verification-updated (object) or unavailable-payload (object) |
| created-at | string <date-time> (date-time) ISO 8601 formatted date-time. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "verification-updated",
- "event-payload": {
- "verification-profiles-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/profiles",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "verification-resources-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/resources",
- "updated-at": "2019-08-24T14:15:22Z",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "verification-checks-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/checks",
- "risk-rating": "high-risk",
- "verification-status": "in-progress",
- "verification-risk-assessments-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/risk-assessments"
}, - "created-at": "2019-08-24T14:15:22Z"
}Returns an event. The event-type determines the shape of the event-payload.
Each payload has a version: the most recent API version that changed this event type’s payload, but no later than your organisation’s default version when the event was created.
If the payload’s version is newer than the version of your request, event-payload is returned as an unavailable payload. Its meta.required.api-version field gives the version you need to read it. Send that version, or a newer one, in the Griffin-Version header to see the full payload.
| event-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "account-status-created",
- "event-payload": {
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "account-status": "closing"
}, - "created-at": "2019-08-24T14:15:22Z"
}List all events for an organization
| organization-id required | string |
| filter[created-at][lt] | string <date-time> Return only events with a created-at less than the given timestamp. |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| filter[created-at][gt] | string <date-time> Return only events with a created-at greater than the given timestamp. |
| sort | string Enum: "-created-at" "created-at" |
| page[size] | integer <int64> [ 1 .. 200 ] |
| filter[created-at][gte] | string <date-time> Return only events with a created-at greater than or equal to the given timestamp. |
| filter[event-type][eq] | string Enum: "onboarding-application-updated" "decision-created" "payment-created" "transaction-created" "verification-updated" "admission-updated" "verification-created" "account-status-updated" "onboarding-application-created" "submission-created" "test-event" "admission-created" "verification-resource-updated" "account-status-created" "verification-resource-created" "submission-updated" The type of webhook event. Usually has the form {resource}-{operation}, e.g. payment-updated |
| filter[created-at][lte] | string <date-time> Return only events with a created-at less than or equal to the given timestamp. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "events": [
- {
- "event-url": "/events/ev.ICAgICAgICBldmVudC1pZA",
- "event-type": "account-status-created",
- "event-payload": {
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "account-status": "closing"
}, - "created-at": "2019-08-24T14:15:22Z"
}
], - "links": {
- "prev": "string",
- "next": "string"
}
}A webhook delivers events to a URL you control as they happen. A webhook can be activated or deactivated, and you can send it a test event to check that your endpoint receives it.
Get all webhooks for the organization
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "organization-webhooks": [
- {
- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}
]
}Create a webhook
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| webhook-destination-url required | string (webhook-destination-url) The callback URL of the webhook (HTTPS on port 443, public IP only) |
| webhook-description | string (webhook-description) non-empty A description of the webhook |
{- "webhook-description": "Griffin API webhook"
}{- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}Fetch a webhook
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}Update a webhook
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| webhook-description | string (webhook-description) non-empty A description of the webhook |
{- "webhook-description": "Griffin API webhook"
}{- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}Activate a webhook
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}Deactivate a webhook
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "webhook-description": "Griffin API webhook",
- "updated-at": "2019-08-24T14:15:22Z",
- "activate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/activate",
- "deactivate-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/deactivate",
- "created-at": "2019-08-24T14:15:22Z",
- "webhook-state": "inactive",
- "created-by": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "test-webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA/actions/test",
- "webhook-url": "/webhooks/wh.ICAgICAgd2ViaG9vay1pZA",
}Get the status of the latest test event
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "webhook-request-status": "default",
- "updated-at": "2019-08-24T14:15:22Z"
}Send a test event to the webhook
| webhook-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "webhook-request-status": "default",
- "updated-at": "2019-08-24T14:15:22Z"
}Message Signatures confirm the identity of the sender and integrity of request messages.
Key points:
Signature-Input and Signature headersHow to create message signatures provides a detailed guide.
Yields the status of the http signature validation
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| header-signature | string (header-signature) |
| header-signature-input | string (header-signature-input) |
{- "message": "string",
- "busy": true
}Yields the status of the http signature validation
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| header-signature | string (header-signature) |
| header-signature-input | string (header-signature-input) |
{- "message": "string",
- "busy": true
}Yields the status of the http signature validation
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| header-signature | string (header-signature) |
| header-signature-input | string (header-signature-input) |
{- "message": "string",
- "busy": true
}Yields the status of the http signature validation
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| header-signature | string (header-signature) |
| header-signature-input | string (header-signature-input) |
{- "message": "string",
- "busy": true
}Yields the status of the http signature validation
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| header-signature | string (header-signature) |
| header-signature-input | string (header-signature-input) |
{- "message": "string",
- "busy": true
}In the Griffin API, your organization and your customers are all represented by legal persons. When you sign up with Griffin, your organization will be automatically assigned a unique legal person ID. When onboarding your customers, you will create legal persons to represent them.
Every legal person has a legal-person-type with the value: individual or corporation.
An individual represents an individual human.
A corporation represents any non-human entity (not just companies). A corporation should have at least one director or person with significant control attached to it, who must also be represented as a distinct individual legal person.
Yields the legal-person.
| legal-person-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "latest-decision": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "legal-person-type": "individual",
- "latest-risk-rating-url": "/risk-ratings/rr.ICByaXNrLXJhdGluZy1pZA",
- "display-name": "Company name",
- "application-status": "referred",
- "legal-person-status": "restricted",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-decisions-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/decisions",
- "status-changed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "legal-person-claims-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/claims",
- "legal-person-bank-payees-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/bank/payees",
- "legal-person-verifications-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/verifications",
- "legal-name": "string",
- "legal-person-documents-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/documents"
}Updates the legal-person.
| legal-person-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| display-name required | string (display-name) non-empty A human readable label for an entity |
{- "display-name": "string"
}{- "latest-decision": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "legal-person-type": "individual",
- "latest-risk-rating-url": "/risk-ratings/rr.ICByaXNrLXJhdGluZy1pZA",
- "display-name": "Company name",
- "application-status": "referred",
- "legal-person-status": "restricted",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-decisions-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/decisions",
- "status-changed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "legal-person-claims-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/claims",
- "legal-person-bank-payees-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/bank/payees",
- "legal-person-verifications-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/verifications",
- "legal-name": "string",
- "legal-person-documents-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/documents"
}Returns a paginated list of all legal persons for the given organization.
By default, results are sorted descending by created-at (newest first). To sort ascending by created-at, provide a ?sort=created-at query parameter.
| organization-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| filter[has][] | Array of strings Items Value: "application-status" Return only legal persons with the given attributes. |
| filter[application-status][eq] | string Enum: "referred" "errored" "declined" "submitted" "accepted" Return only legal persons with the given application-status. |
| filter[legal-person-status][in][] | Array of strings Items Enum: "restricted" "onboarding-declined" "onboarded" "verified" "onboarding" Return only legal persons with the given legal-person-status. |
| include | Array of strings Items Enum: "company-roles" "latest-risk-rating" "latest-verification" For each legal person returned, include its latest verification (if one exists), any roles in companies (significant control or directorship), and/or its latest risk rating (if one exists) in the response under the |
| sort | string Enum: "-status-changed-at" "status-changed-at" "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "legal-persons": [
- {
- "latest-decision": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "legal-person-type": "individual",
- "latest-risk-rating-url": "/risk-ratings/rr.ICByaXNrLXJhdGluZy1pZA",
- "display-name": "Company name",
- "application-status": "referred",
- "legal-person-status": "restricted",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-decisions-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/decisions",
- "status-changed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "legal-person-claims-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/claims",
- "legal-person-bank-payees-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/bank/payees",
- "legal-person-verifications-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/verifications",
- "legal-name": "string",
- "legal-person-documents-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/documents"
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}Creates a new Legal Person. A collection of Claims may be provided.
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| display-name required | string (display-name) non-empty A human readable label for an entity |
| legal-person-type required | string (legal-person-type) Enum: "individual" "corporation" Specifies if the legal person is an |
Array of aeoi-entity-classification (object) or alternative-number (object) or annual-turnover (object) or balance-sheet-size (object) or business-address (object) or business-description (object) or business-email-address (object) or business-industry (object) or business-name (object) or business-owner (object) or business-size (object) or business-start-date (object) or business-telephone-number (object) or business-type (object) or business-website (object) or cash-payments (object) or client-money-protection-scheme (object) or (commercial-property-industries (Not applicable (object) or List of industries and lines of business (object))) or commercial-property-ratio (object) or company-email-address (object) or company-telephone-number (object) or company-website (object) or contact-details (object) or director (object) or (employment (self-employed (object) or retired (object) or unemployed (object) or employed (object))) or entity-address (object) or entity-name (object) or external-risk-rating (object) or fca-fs-register-firm (object) or fca-fs-register-individual (object) or fca-mutuals-register (object) or governing-body-member (object) or hmo-license (object) or hmo-verification (object) or hmrc-register (object) or individual-identity (object) or individual-income (object) or individual-purposes-of-account (object) or (individual-residence ((United Kingdom and crown dependencies (both building-name and building-number (object) or only building-name (object) or only building-number (object))) or Other countries (object))) or individual-sources-of-funds (object) or initial-deposit (object) or international-operations-countries (object) or international-payments-countries (object) or managed-properties (object) or mobile-number (object) or nationality (object) or nominal-person-with-significant-control (object) or non-tenant-balance (object) or numbers-of-employees (object) or person-with-significant-control (object) or properties-origins-of-deposits (object) or property-types (object) or purposes-of-account (object) or reliance-verification (object) or role-titles (object) or senior-manager-function-holder (object) or sic-codes (object) or social-media (object) or sole-trader (object) or sources-of-funds (object) or tax-identification-number (object) or tax-identification-numbers-by-country (object) or tax-residencies (object) or tax-residency (object) or trading-address (object) or trading-name (object) or (uk-company-register ((IM (both building-name and building-number (object) or only building-name (object) or only building-number (object))) or GB (object) or (GG (both building-name and building-number (object) or only building-name (object) or only building-number (object))) or (JE (both building-name and building-number (object) or only building-name (object) or only building-number (object))))) or uk-financial-services-register (object) or us-citizen (object) or vat-registration (object) or verified-bank-account (object) (claim) |
{- "display-name": "string",
- "legal-person-type": "individual",
- "claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}
]
}{- "latest-decision": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "legal-person-type": "individual",
- "latest-risk-rating-url": "/risk-ratings/rr.ICByaXNrLXJhdGluZy1pZA",
- "display-name": "Company name",
- "application-status": "referred",
- "legal-person-status": "restricted",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-decisions-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/decisions",
- "status-changed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "legal-person-claims-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/claims",
- "legal-person-bank-payees-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/bank/payees",
- "legal-person-verifications-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/verifications",
- "legal-name": "string",
- "legal-person-documents-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/documents"
}Returns a list of legal persons whose legal names match the search-query supplied in the request.
Takes an optional 'equals onboarded' filter.
| organization-id required | string |
| filter[legal-person-status][eq] | string Value: "onboarded" Return only legal persons with the given legal-person-status. |
| include | Array of strings Items Value: "company-roles" For each legal person returned, include any roles in companies (significant control or directorship) in the response under the |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| search-query required | string (search-query) non-empty |
{- "search-query": "string"
}{- "search-results": [
- {
- "latest-decision": {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}, - "legal-person-type": "individual",
- "latest-risk-rating-url": "/risk-ratings/rr.ICByaXNrLXJhdGluZy1pZA",
- "display-name": "Company name",
- "application-status": "referred",
- "legal-person-status": "restricted",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-decisions-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/decisions",
- "status-changed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "legal-person-claims-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/claims",
- "legal-person-bank-payees-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/bank/payees",
- "legal-person-verifications-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/verifications",
- "legal-name": "string",
- "legal-person-documents-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA/documents"
}
], - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}, - "included": {
- "company-roles": [
- {
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "individual-company-roles": {
- "property1": [
- null
], - "property2": [
- null
]
}
}
]
}
}The history of a legal person lists the events recorded against it: verifications created, decisions made and risk ratings registered.
Lists history of events for the given legal person.
| legal-person-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "legal-person-history": [
- {
- "legal-person-history-event-type": "risk-rating-registered",
- "timestamp": "2019-08-24T14:15:22Z",
- "risk-rating": "high-risk",
- "notes": "string",
- "manually-created-by": {
- "manually-created-by-type": "ops-user"
}, - "previous-risk-rating": "high-risk"
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}A claim is an unverified data point or series of data points attached to a legal person. Claims are verified by running a verification against the legal person.
Deletes an existing claim about a Legal Person.
| claim-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
Yields a list of all current claims about this Legal Person.
| legal-person-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| filter[verification-status][eq] | string Enum: "unverified" "verified" The verification-status of a claim changes from |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification",
- "created-at": "2019-08-24T14:15:22Z",
- "claim-url": "/claims/cl.ICAgICAgICBjbGFpbS1pZA"
}
], - "links": {
- "prev": "string",
- "next": "string"
}
}Creates a new claim about a Legal Person.
| legal-person-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| aeoi-entity-classification required | string (aeoi-entity-classification) Enum: "passive-nfe" "active-nfe" "financial-institution" AEOI/CRS entity classification. Submit |
| claim-type required | string Value: "aeoi-entity-classification" |
{- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}{- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification",
- "created-at": "2019-08-24T14:15:22Z",
- "claim-url": "/claims/cl.ICAgICAgICBjbGFpbS1pZA"
}A workflow determines which checks will be run against a legal person as part of a verification
Lists workflows for use when creating a verification.
| organization-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "workflows": [
- {
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "display-name": "string",
- "description": "string",
- "legal-person-type": "individual",
- "created-at": "2019-08-24T14:15:22Z",
- "disabled?": true,
- "required-claim-types": {
- "property1": [
- "mobile-number"
], - "property2": [
- "mobile-number"
]
}, - "workflow-rules": [
- "allow-zero-directors"
]
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}Fetch the workflow.
| workflow-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "display-name": "string",
- "description": "string",
- "legal-person-type": "individual",
- "created-at": "2019-08-24T14:15:22Z",
- "disabled?": true,
- "required-claim-types": {
- "property1": [
- "mobile-number"
], - "property2": [
- "mobile-number"
]
}, - "workflow-rules": [
- "allow-zero-directors"
]
}A verification runs the checks defined by a workflow against a legal person and their claims.
List verifications for the given legal person.
| legal-person-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "verifications": [
- {
- "verification-profiles-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/profiles",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "verification-resources-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/resources",
- "updated-at": "2019-08-24T14:15:22Z",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "verification-checks-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/checks",
- "risk-rating": "high-risk",
- "verification-status": "in-progress",
- "verification-risk-assessments-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/risk-assessments"
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}Initiates verification of the subject legal person.
The request body must include a workflow-url to determine checks to be
performed by the verification. The workflow specified determines which claims
must exist for the subject legal person, as identified in the request URL, and any
associated legal persons (i.e. directors and people with significant control of a
corporation).
These claims can be found in the required-claim-types field on a Workflow.
Once a verification is created, the system will perform checks on the claim details.
The status of check processing is indicated by the verification-status in the response body.
Initially it will be pending, and will transition through in-progress to a final status of checks-complete.
A verification-status of failed indicates something went wrong during check processing.
You can initiate another verification to retry the check processing.
| legal-person-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| workflow-url required | string (workflow-url) A link to the workflow. |
{- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA"
}{- "verification-profiles-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/profiles",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "verification-resources-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/resources",
- "updated-at": "2019-08-24T14:15:22Z",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "verification-checks-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/checks",
- "risk-rating": "high-risk",
- "verification-status": "in-progress",
- "verification-risk-assessments-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/risk-assessments"
}Fetch the verification.
| verification-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "verification-profiles-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/profiles",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "verification-resources-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/resources",
- "updated-at": "2019-08-24T14:15:22Z",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "verification-checks-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/checks",
- "risk-rating": "high-risk",
- "verification-status": "in-progress",
- "verification-risk-assessments-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA/risk-assessments"
}GET a verification's profiles. A profile is the collection of claims used in a verification.
| verification-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "verification-subject-profile": {
- "display-name": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-type": "individual",
- "current-claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}
], - "legal-name": "string"
}, - "verification-related-party-profiles": [
- {
- "display-name": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "legal-person-type": "individual",
- "current-claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}
], - "legal-name": "string"
}
]
}Yields details of the verification resources for this verification.
| verification-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "verification-resources": [
- {
- "verification-resource-type": "idv-check",
- "verification-resource-id": "vr.N7hwn54ASHCQGOdocxfQQQ",
- "idv-check-status": "pending",
- "idv-check-url": "string",
- "idv-check-expires-at": "2019-08-24",
- "display-name": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA"
}
], - "links": {
- "prev": "string",
- "next": "string"
}
}A decision records whether a legal person is accepted or declined, based on a verification whose checks are complete.
Lists all decisions for the given legal-person.
| legal-person-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "decisions": [
- {
- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}
], - "links": {
- "prev": "string",
- "next": "string"
}
}Creates a decision against the legal person.
The provided verification must have a verification-status of checks-complete, otherwise a 422 is served.
When a decision is successfully created, the legal person's application-status is updated accordingly.
Multiple decisions may be made against the same legal person.
| legal-person-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| verification-url required | string (verification-url) A link to the verification. |
| decision-outcome required | string (decision-outcome) Enum: "accepted" "declined" |
| decision-notes required | string (decision-notes) Free-text field to explain the reasons behind the decision. |
{- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decision-outcome": "accepted",
- "decision-notes": "string"
}{- "decision-outcome": "accepted",
- "decision-notes": "string",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "decline-reasons": [
- {
- "decline-reason-code": "applicant-under-16",
- "decline-reason-title": "string",
- "decline-reason-description": "string",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "decline-reason-claim-types": [
- "mobile-number"
]
}
], - "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "created-at": "2019-08-24T14:15:22Z",
- "decision-maker": "system",
- "decision-user-url": "/users/ur.ICAgICAgICAgdXNlci1pZA",
- "decision-ops-user": "griffin-ops-user",
- "decision-user-username": "user@example.com"
}Look up a UK company on Companies House by its company number, including its directors and persons with significant control.
Lookup Companies House company by company number. Includes information about the company, its directors, and persons with significant control.
| company-number required | string Examples: 10842931 UK Companies House company number |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "company-address": {
- "building-number": "string",
- "street-name": "string",
- "city": "string",
- "postal-code": "NW16XE",
- "country-code": "GB"
}, - "date-of-latest-accounts": "2019-08-24",
- "entity-name": "string",
- "directors": [
- {
- "display-name": "string",
- "companies-house-url": "https://api.company-information.service.gov.uk/company/00000001/appointments/AbcDEFGhI1JKLmnO2PQ3sTUv4WX",
- "director-appointed-on": "2019-08-24",
- "director-occupation": "string",
- "day-of-birth": 1,
- "month-of-birth": 1,
- "year-of-birth": 1970
}
], - "date-of-latest-confirmation-statement": "2019-08-24",
- "corporation-type": "private-limited-guarant-nsc-limited-exemption",
- "company-status": "dissolved",
- "accounts-overdue": true,
- "sic-codes": [
- "12345"
], - "persons-with-significant-control": [
- {
- "display-name": "string",
- "natures-of-control": [
- "voting-rights-25-to-50-percent-limited-liability-partnership"
], - "companies-house-url": "https://api.company-information.service.gov.uk/company/00000001/appointments/AbcDEFGhI1JKLmnO2PQ3sTUv4WX",
- "given-name": "string",
- "surname": "string",
- "day-of-birth": 1,
- "month-of-birth": 1,
- "year-of-birth": 1970
}
], - "confirmation-statement-overdue": true,
- "date-of-incorporation": "2019-08-24",
- "entity-registration-number": "string"
}Reliance onboarding allows you to create and submit an application on behalf of your customer, using information about them you have already collected. For more information, checkout our onboarding guides.
Fetch an onboarding application.
| onboarding-application-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "onboarding-application-url": "/onboarding/applications/oa.b25ib2FyZGluZy1hcHBsaQ",
- "created-at": "2019-08-24T14:15:22Z",
- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "legal-person-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "verification-url": "/verifications/vn.IHZlcmlmaWNhdGlvbi1pZA",
- "onboarding-application-status": "processing"
}Create an onboarding application and submit it for processing.
The request body must include a workflow-url to determine checks to be performed by the verification.
The workflow specified determines which claims must exist for the subject profile, and any related profile (i.e. directors and people with significant control of a corporation).
At the moment we only support 3 reliance workflows: Reliance LTD Company, Reliance Individual and Reliance Sole Trader.
You need to provide different claims depending on the type of customer you wish to onboard via reliance.
| LTD Company | Individual | Sole trader |
|---|---|---|
Subject profile:uk-company-registertrading-addressreliance-verificationRelated profiles: individual-identityindividual-residencereliance-verification |
Subject profile:individual-identityindividual-residencereliance-verification |
Subject profile:business-nameindividual-identityindividual-residencereliance-verification |
For more information, check out our onboarding guides.
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| workflow-url required | string (workflow-url) A link to the workflow. |
required | object (subject-profile) The subject profile to be onboarded. Directors and PSCs
must be declared via |
Array of objects (related-profiles) A list profiles related to the subject (e.g. directors, person with significant control). |
{- "workflow-url": "/workflows/wf.ICAgICB3b3JrZmxvdy1pZA",
- "subject-profile": {
- "display-name": "string",
- "claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}
]
}, - "related-profiles": [
- {
- "display-name": "string",
- "subject-association": {
- "director": {
}, - "psc": {
- "ownership-percent": "12.34",
}, - "senior-manager": { },
- "governing-body-member": { },
- "senior-manager-function-holder": { },
- "role-titles": [
- "Treasurer"
]
}, - "claims": [
- {
- "aeoi-entity-classification": "passive-nfe",
- "claim-type": "aeoi-entity-classification"
}
]
}
]
}{- "onboarding-application-url": "/onboarding/applications/oa.b25ib2FyZGluZy1hcHBsaQ",
- "onboarding-application-status": "processing"
}Bank accounts are used for managing funds. Every bank account is opened against a bank product, which determines the account's behaviour (type, pooled vs dedicated, interest, notice period, etc.). Some account types are for managing your own funds and some are for managing your customers' funds. For information, check out our guides:
Fetch a bank account
| bank-account-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}Update a bank account
| bank-account-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| display-name required | string (display-name) non-empty A human readable label for an entity |
{- "display-name": "string"
}{- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}Close a bank account
| bank-account-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}Fetches a bank account product by ID
| bank-product-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "notice-period": {
- "notice-period-type": "instant-access"
}, - "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "bank-account-product-status": "inactive",
- "commission": {
- "gross-rate": {
- "basis-points": 0,
- "display-text": "string"
}
}, - "bank-account-product-class": "savings",
- "display-name": "Operational",
- "funding-type": "pooled",
- "bank-account-product-accounts-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA/accounts",
- "updated-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "interest": {
- "annual-effective-rate": {
- "basis-points": 0,
- "display-text": "string"
}, - "gross-rate": {
- "basis-points": 0,
- "display-text": "string"
}
}, - "owner-type": "individual",
- "payment-schemes": {
- "faster-payments": {
- "inbound": true,
- "outbound": true
}, - "chaps": {
- "inbound": true
}, - "bacs-direct-credits": {
- "inbound": true
}, - "bacs-direct-debits": {
- "paying": true
}
}
}Opens a bank account of the given bank product
| bank-product-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| display-name | string (display-name) non-empty A human readable label for an entity |
| owner-url | string (owner-url) Link to the legal person that represents the owner of the account. |
| beneficiary-url | string (beneficiary-url) Link to the legal person that represents the beneficiary of the account. |
{- "display-name": "string",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA"
}{- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}Yields a list of all bank accounts under the control of this Organization.
| organization-id required | string |
| filter[beneficiary-url][eq] | string Link to the legal person that represents the beneficiary of the account. |
| filter[owner-url][eq] | string Link to the legal person that represents the owner of the account. |
| include | Array of strings Items Enum: "beneficiary" "owner" For each bank account returned, include its owner and/or beneficiary in the response under the |
| filter[account-status][in][] | Array of strings Items Enum: "closing" "open" "closed" "opening" |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| filter[account-restricted][eq] | boolean Specifies whether the bank account has restrictions applied by Griffin. |
| filter[pooled-funds][eq] | boolean Specifies whether the bank account holds funds belonging to multiple beneficiaries. |
| sort | string Enum: "-created-at" "display-name" "created-at" "-display-name" |
| page[size] | integer <int64> [ 1 .. 200 ] |
| filter[bank-product-type][in][] | Array of strings Items Enum: "savings-account" "client-money-account" "safeguarding-account" "embedded-account" "operational-account" |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "accounts": [
- {
- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "included": null
}Open a new bank account
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| owner-url required | string (owner-url) Link to the legal person that represents the owner of the account. |
| display-name | string (display-name) non-empty A human readable label for an entity |
| savings-type required | string Value: "easy-access" |
| bank-product-type required | string Value: "savings-account" |
{- "bank-product-type": "savings-account",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "display-name": "string",
- "savings-type": "easy-access"
}{- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "Reserve a/c",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}Returns a list of bank accounts whose account number match the search-query supplied in the request, either exactly or partially as a prefix.
| organization-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| search-query required | string (search-query) non-empty |
{- "search-query": "string"
}{- "search-results": [
- {
- "account-submissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/submissions",
- "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "account-restricted": true,
- "account-payments-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/payments",
- "pooled-account-memberships-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership",
- "account-admissions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/admissions",
- "bank-product-type": "savings-account",
- "account-mandates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/mandates",
- "display-name": "string",
- "controller-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "pooled-funds": true,
- "accrued-interest": {
- "currency": "GBP",
- "value": "1000.00"
}, - "account-status": "closing",
- "client-money-type": "designated-client-fund",
- "owner-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "closed-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "opened-at": "2019-08-24T14:15:22Z",
- "close-account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/actions/close",
- "available-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "pooled-account-membership-updates-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/membership-updates",
- "bank-account-restrictions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/restrictions",
- "bank-addresses": [
- {
- "account-holder": "string",
- "bank-id-code": "gbdsc",
- "bank-id": "123456",
- "account-number": "12345678",
- "account-number-code": "bban"
}
], - "account-transactions-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/transactions",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "bank-account-events-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/events",
- "beneficiary-url": "/legal-persons/lp.IGxlZ2FsLXBlcnNvbi1pZA",
- "primary-account": false,
- "account-balance": {
- "currency": "GBP",
- "value": "1000.00"
}, - "savings-type": "easy-access",
- "account-statements-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA/statements"
}
], - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}Returns a paginated list of the organization's bank account products.
| organization-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| filter[status][in][] | Array of strings Items Enum: "inactive" "active" |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "bank-account-products": [
- {
- "notice-period": {
- "notice-period-type": "instant-access"
}, - "bank-account-product-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA",
- "bank-account-product-status": "inactive",
- "commission": {
- "gross-rate": {
- "basis-points": 0,
- "display-text": "string"
}
}, - "bank-account-product-class": "savings",
- "display-name": "Operational",
- "funding-type": "pooled",
- "bank-account-product-accounts-url": "/bank/products/bp.IGJhbmstcHJvZHVjdC1pZA/accounts",
- "updated-at": "2019-08-24T14:15:22Z",
- "created-at": "2019-08-24T14:15:22Z",
- "organization-url": "/organizations/og.IG9yZ2FuaXphdGlvbi1pZA",
- "interest": {
- "annual-effective-rate": {
- "basis-points": 0,
- "display-text": "string"
}, - "gross-rate": {
- "basis-points": 0,
- "display-text": "string"
}
}, - "owner-type": "individual",
- "payment-schemes": {
- "faster-payments": {
- "inbound": true,
- "outbound": true
}, - "chaps": {
- "inbound": true
}, - "bacs-direct-credits": {
- "inbound": true
}, - "bacs-direct-debits": {
- "paying": true
}
}
}
], - "links": {
- "prev": "string",
- "next": "string"
}, - "meta": {
- "page": {
- "total": 0,
- "estimated-total": {
- "at-least": 1
}
}
}
}Restrictions prevent payments on a bank account. A freeze blocks outbound payments while still allowing inbound payments. A block prevents both inbound and outbound payments.
Restrictions can be applied at any point in the account lifecycle (opening, open, closing, or closed), and multiple restrictions can be active on the same account simultaneously. Each restriction is independent — lifting one does not affect others.
Restrictions can only be updated or lifted if active.
For more information, see our guide on managing restrictions.
Fetches details of a single bank account restriction.
The response includes the restriction's current status (active or lifted),
type, reason code, legal status, and who applied it.
If the restriction was applied by Griffin using a sensitive reason code
(griffin-decision, law-enforcement, sanctions, or terrorist-financing),
the type, reason code, and legal status fields are omitted from the response.
Action URLs (update-bank-account-restriction-url, lift-bank-account-restriction-url)
are included only when you are authorised to perform those actions on the restriction.
| bank-account-restriction-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
{- "lift-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/lift",
- "restriction-status": "lifted",
- "restriction-legal-status": "not-applicable",
- "bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw",
- "created-at": "2019-08-24T14:15:22Z",
- "update-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/update",
- "bank-account-restriction-events-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/events",
- "restriction-reason-code": "suspicious",
- "restriction-type": "block",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "restriction-applied-by": {
- "restriction-applied-by-type": "ops-user"
}
}Lifts a bank account restriction.
Marks the restriction as lifted, removing its effect on the account. Notes are
required to provide context for the removal.
| bank-account-restriction-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| notes required | string <= 2000 characters |
{- "notes": "string"
}{- "lift-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/lift",
- "restriction-status": "lifted",
- "restriction-legal-status": "not-applicable",
- "bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw",
- "created-at": "2019-08-24T14:15:22Z",
- "update-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/update",
- "bank-account-restriction-events-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/events",
- "restriction-reason-code": "suspicious",
- "restriction-type": "block",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "restriction-applied-by": {
- "restriction-applied-by-type": "ops-user"
}
}Updates a bank account restriction.
Allows you to change the restriction type, reason code, and/or legal status of an active restriction. Notes are always required to provide context for the change.
Only the fields you include in the request body will be updated. Omitted fields are left unchanged.
| bank-account-restriction-id required | string |
| Griffin-Version | string Example: 2026-07-09 The API version to use for this request. Without this header, the request uses your organization's default API version. |
| restriction-type | string Enum: "block" "freeze" |
| restriction-reason-code | string Enum: "fraud-app-perpetrator" "customer-request" "dormant" "other" "terrorist-financing" "law-enforcement" "sanctions" "risk-appetite" "deceased" "fraud-app-victim" "fraud-3rd-party" "money-laundering" "fraud-1st-party" |
| restriction-legal-status | string Enum: "not-applicable" "conviction-confirmed" "formal-charge-filed" "suspected" |
| notes required | string <= 2000 characters |
{- "restriction-type": "block",
- "restriction-reason-code": "fraud-app-perpetrator",
- "restriction-legal-status": "not-applicable",
- "notes": "string"
}{- "lift-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/lift",
- "restriction-status": "lifted",
- "restriction-legal-status": "not-applicable",
- "bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw",
- "created-at": "2019-08-24T14:15:22Z",
- "update-bank-account-restriction-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/actions/update",
- "bank-account-restriction-events-url": "/bank/account-restrictions/ri.YmFuay1hY2NvdW50LXJlcw/events",
- "restriction-reason-code": "suspicious",
- "restriction-type": "block",
- "account-url": "/bank/accounts/ba.IGJhbmstYWNjb3VudC1pZA",
- "restriction-applied-by": {
- "restriction-applied-by-type": "ops-user"
}
}Lists restrictions on a bank account.
Returns all restrictions (both active and lifted) by default. Use
filter[restriction-status][eq]=active to return only active restrictions.
See get restriction for details on field visibility and redaction.
| bank-account-id required | string |
| page[before] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[after] | string <byte> A base64 encoded opaque string returned in paginated responses. |
| page[size] | integer <int64> [ 1 .. 200 ] |
| sort | string Enum: "-created-at" "created-at" |
| filter[restriction-status][eq] | string Enum: "lifted" "active" Return only restrictions with the given restriction-status. |
[...]
